## visad.georef
Interface LatLonPoint

All Superinterfaces:
  Data, Thing

All Known Subinterfaces:
  EarthLocation, NamedLocation

All Known Implementing Classes:
  EarthLocationTuple, LatLonTuple, NamedLocationTuple

public interface LatLonPoint
extends Data

Interface for supporting latitude/longitude points.

Field Summary

Fields inherited from interface visad.Data

`ABS, ACOS, ACOS_DEGREES, ADD, ASIN, ASIN_DEGREES, ATAN, ATAN_DEGREES, ATAN2, ATAN2_DEGREES, CEIL, COS, COS_DEGREES, DEGREES_TO_RADIANS, DEPENDENT, DIVIDE, EXP, FLOOR, INDEPENDENT, INV_ATAN2, INV_ATAN2_DEGREES, INV_DIVIDE, INV_POW, INV_REMAINDER, INV_SUBTRACT, LOG, MAX, MIN, MULTIPLY, NEAREST_NEIGHBOR, NEGATE, NO_ERRORS, NOP, POW, RADIANS_TO_DEGREES, REMAINDER, RINT, ROUND, SIN, SIN_DEGREES, SQRT, SUBTRACT, TAN, TAN_DEGREES, WEIGHTED_AVERAGE`

Method Summary
`boolean` `equals(Object obj)` See if this LatLonPoint is equal to the object in question.
`Real` `getLatitude()` Get the latitude of this point
`Real` `getLongitude()` Get the longitude of this point

Methods inherited from interface visad.Data

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, isMissing, local, log, log, longString, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary, unary`

Methods inherited from interface visad.Thing
`addReference, removeReference`

Method Detail

### getLatitude

    public Real getLatitude()

  Get the latitude of this point

  Returns:
    Real representing the latitude

### getLongitude

    public Real getLongitude()

  Get the longitude of this point

  Returns:
    Real representing the longitude

### equals

    public boolean equals(Object obj)

  See if this LatLonPoint is equal to the object in question. Two points are equal if they are the same object, or if their lat/lon componets are equal.

  Parameters:
    `obj` - object in question